import { Context } from '../context';
import { DocumentWithId } from '../base/common';
/**
 * The collection and ID of a root or child
 * item to retrieve with #transactFindByIds
 */
export declare type TransactFindByIdDescriptor = {
    /** The collection containing the item */
    collection: string;
    id: string;
    rootId?: string;
};
export declare const transactFindByIds: <DocumentType_1 extends DocumentWithId>(ctx: Context, items: TransactFindByIdDescriptor[]) => Promise<(DocumentType_1 | null)[]>;
